Skip to main content
GET
/
public-api
/
callbacks
List callbacks
curl --request GET \
  --url https://api.neoagent.io/public-api/callbacks \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.neoagent.io/public-api/callbacks"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.neoagent.io/public-api/callbacks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "callback_id": "<string>",
      "created_in_psa_at": "2023-11-07T05:31:56Z",
      "entity_id": "<string>",
      "entity_number": "<string>",
      "error_message": "<string>",
      "failed_to_match_workflow_ids": [
        123
      ],
      "finished_processing_at": "2023-11-07T05:31:56Z",
      "matcher_run_id": "<string>",
      "started_workflow_ids": [
        123
      ],
      "workflow_matches": [
        {
          "error": true,
          "match_details": {
            "event_type": "<string>",
            "field_comparisons": [
              {
                "field_name": "<string>",
                "field_value": "<unknown>",
                "is_match": true,
                "operator": "<string>",
                "rule_value": "<unknown>"
              }
            ]
          },
          "match_reason": "<string>",
          "matched": true,
          "workflow_id": 123,
          "workflow_name": "<string>"
        }
      ]
    }
  ],
  "meta": {
    "request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "timings_ms": {},
    "pagination": {
      "has_more": true,
      "next_cursor": "<string>"
    },
    "warnings": [
      "<string>"
    ]
  }
}
{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}

Authorizations

Authorization
string
header
required

Authorization: Bearer <token> where <token> is either a neo_sk_<env>_<secret> API key (service account) or a Microsoft Entra ID access token (dashboard user).

Query Parameters

entity_type
string

PSA entity type (e.g. TICKET).

entity_id
string

PSA entity id.

entity_number
string

PSA entity number (e.g. ticket number).

since
string

ISO-8601 lower bound on receipt time (≤ 7 days ago).

until
string

ISO-8601 upper bound on receipt time.

change_type
string

Comma-separated change types to include.

agent_id
integer

Only callbacks that matched (or failed to match) this agent.

filtered_only
boolean

If true, only callbacks that were filtered out.

page_size
integer

Items per page (1-200, default 50).

Response

Success.

data
Callback · object[]
required
meta
object
required